Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.tags

## Annotation Type Tags

    @Target({TYPE,METHOD})
    @Retention(RUNTIME)
    @Inherited
    public @interface Tags

The Tags annotation is a container for @Tag annotations. When used on a method or a type it is treated as if each tag annotation were applied individually.

Note: If both `Tag` and `Tags` annotations are specified on the same method/class, then both tag definitions should be applied to method/class.

See Also:
  OpenAPI Specification Tag Object

### Optional Element Summary

Optional Elements
`String[]` `refs` An array of referenced Tag objects which hold metadata for the API
`Tag[]` `value` An array of Tag annotation objects which hold metadata for the API

### Element Detail

#### value

    Tag[] value

An array of Tag annotation objects which hold metadata for the API

Returns:
  an array of Tag annotations

Default:
  {}

#### refs

    String[] refs

An array of referenced Tag objects which hold metadata for the API

Returns:
  an array of references to tags

Default:
  {""}